Allow to turn off the "double click to reply to <someone>" feature

RESOLVED FIXED in 1.1

Status

Instantbird
Conversation
RESOLVED FIXED
4 years ago
4 years ago

People

(Reporter: Mic, Assigned: florian)

Tracking

trunk
x86
Windows 7

Details

(Whiteboard: [1.1-nice-to-have])

Attachments

(1 attachment)

(Reporter)

Description

4 years ago
*** Original post on bio 1027 at 2011-09-09 22:37:00 UTC ***

Adding a user name to the input box by double clicking a message interferes with double or triple clicking to select a word or paragraph.

It should be possible to turn it off for people who aren't really using it and rather want to have the selecting behaviour known from Fx.

I only checked this on Windows 7 but other systems might have similar problems.
(Assignee)

Updated

4 years ago
Whiteboard: [1.1-nice-to-have]
(Assignee)

Comment 1

4 years ago
*** Original post on bio 1027 at 2011-09-11 23:47:54 UTC ***

(In reply to comment #0)
> Adding a user name to the input box by double clicking a message interferes
> with double or triple clicking to select a word or paragraph.

How so? (I don't think adding something in the textbox is "interfering with [...] clicking to select")


> It should be possible to turn it off

I think a hidden pref would be acceptable. I would like to understand why/how it interferes though :).
*** Original post on bio 1027 at 2011-09-12 00:02:37 UTC ***

(In reply to comment #0)
> Adding a user name to the input box by double clicking a message interferes
> with double or triple clicking to select a word or paragraph.
> 
> It should be possible to turn it off for people who aren't really using it and
> rather want to have the selecting behaviour known from Fx.

I agree with this, I tend to select conversations/words as I read and this interferes by constantly editing my input box. It's certainly not a big deal and probably Mic or I should just make an extension to disable it (if that's possible).
(Reporter)

Comment 3

4 years ago
*** Original post on bio 1027 at 2011-09-12 08:20:02 UTC ***

(In reply to comment #1)
> (In reply to comment #0)
> > Adding a user name to the input box by double clicking a message interferes
> > with double or triple clicking to select a word or paragraph.
> 
> How so? (I don't think adding something in the textbox is "interfering with
> [...] clicking to select")
> 

Ok, it doesn't exactly "interfere" .. it's more "clashing" then?

Having to remove something from my input box when I didn't want it there in first place is clearly .. unwanted for me ;)
(Assignee)

Comment 4

4 years ago
Created attachment 8352592 [details] [diff] [review]
Patch

*** Original post on bio 1027 as attmnt 849 at 2011-09-27 19:43:00 UTC was without comment, so any subsequent comment numbers will be shifted ***
(Assignee)

Updated

4 years ago
Assignee: nobody → florian
Status: NEW → ASSIGNED
Comment on attachment 8352592 [details] [diff] [review]
Patch

*** Original change on bio 1027 attmnt 849 at 2011-09-27 19:49:00 UTC ***

Looks good! Thanks for making this pref. :)
Attachment #8352592 - Flags: review+
(Assignee)

Comment 6

4 years ago
*** Original post on bio 1027 at 2011-09-27 22:44:11 UTC ***

https://hg.instantbird.org/instantbird/rev/ed670a422deb
Status: ASSIGNED → RESOLVED
Last Resolved: 4 years ago
Resolution: --- → FIXED
Target Milestone: --- → 1.1
You need to log in before you can comment on or make changes to this bug.